FROM debian:stable-slim

# locales
RUN apt-get update && apt-get install -y locales && rm -rf /var/lib/apt/lists/* \
    && localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
ENV LANG=en_US.utf8

# configs
COPY .bashrc /root/.bashrc
COPY inputrc /etc/inputrc

# base soft
RUN apt-get update && apt-get install -y gcc-arm-none-eabi make git && rm -rf /var/cache/apt/archives/*

